Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer
Class AbstractAsyncWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.AbstractAsyncWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

Direct Known Subclasses:
  AbstractAsyncFSWriter, AbstractAsyncZipWriter, AsyncDbWriter, AsyncDummyWriter, AsyncJMSWriter, ExplorVizExportWriter, TCPWriter

    public abstract class AbstractAsyncWriter

extends AbstractMonitoringWriter

Since:
  1.3
Author:
  Jan Waller

Field Summary
`static String` | `CONFIG_BEHAVIOR` The name of the configuration determining the behavior of this writer in case of a full queue.
`static String` | `CONFIG_PRIORITIZED_QUEUESIZE` The name of the configuration determining the size of the prioritized queue of this writer.
`static String` | `CONFIG_QUEUESIZE` The name of the configuration determining the size of the queue of this writer.
`static String` | `CONFIG_SHUTDOWNDELAY` The name of the configuration determining the maximal shutdown delay of this writer (in milliseconds).

Method Summary
`boolean` | `newMonitoringRecord(IMonitoringRecord monitoringRecord)` Called for each new record.
`boolean` | `newMonitoringRecordNonBlocking(IMonitoringRecord monitoringRecord)` Overwrite this method if necessary.
`void` | `terminate()` The framework ensures, that this method is called only once!
`String` | `toString()` Delivers a string representation of this writer.

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`setController`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_QUEUESIZE

    public static final String CONFIG_QUEUESIZE

  The name of the configuration determining the size of the queue of this writer.

  See Also:
    Constant Field Values

### CONFIG_PRIORITIZED_QUEUESIZE

    public static final String CONFIG_PRIORITIZED_QUEUESIZE

  The name of the configuration determining the size of the prioritized queue of this writer.

  See Also:
    Constant Field Values

### CONFIG_BEHAVIOR

    public static final String CONFIG_BEHAVIOR

  The name of the configuration determining the behavior of this writer in case of a full queue.

  See Also:
    Constant Field Values

### CONFIG_SHUTDOWNDELAY

    public static final String CONFIG_SHUTDOWNDELAY

  The name of the configuration determining the maximal shutdown delay of this writer (in milliseconds).

  See Also:
    Constant Field Values

Method Detail

### terminate

    public final void terminate()

  The framework ensures, that this method is called only once!

### newMonitoringRecord

    public final boolean newMonitoringRecord(IMonitoringRecord monitoringRecord)

  Called for each new record. Notice, that this method should not throw an exception, but indicate an error by the return value false.

  Parameters:
    `monitoringRecord` - the record.
  Returns:
    true on success; false in case of an error.

### newMonitoringRecordNonBlocking

    public final boolean newMonitoringRecordNonBlocking(IMonitoringRecord monitoringRecord)

  Description copied from class: `AbstractMonitoringWriter`
  Overwrite this method if necessary.

  Specified by:
    `newMonitoringRecordNonBlocking` in interface `IMonitoringWriter`
  Overrides:
    `newMonitoringRecordNonBlocking` in class `AbstractMonitoringWriter`
  Parameters:
    `monitoringRecord` - the record.
  Returns:
    true on success; false in case of an error.

### toString

    public String toString()

  Description copied from interface: `IMonitoringWriter`
  Delivers a string representation of this writer.

  Specified by:
    `toString` in interface `IMonitoringWriter`
  Overrides:
    `toString` in class `AbstractMonitoringWriter`
  Returns:
    A string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net